# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/associated-persons?page=1&size=10" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"object": "associated_person",
"id": "aap_8rty2c1x7k2m9p4q1w8e5r3t",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"role": "ultimate_beneficial_owner",
"is_signer": true,
"first_name": "Jane",
"middle_name": null,
"last_name": "Roe",
"email": "jane@acme.example",
"date_of_birth": "1985-02-20",
"country_code": "DE",
"nationality": "DE",
"ownership_percentage": "55.00",
"residential_address": {
"address_line": "2 Park Ave",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"verification_status": "under_review",
"rejection_reasons": [],
"created": "2026-05-30T12:00:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}
Associated Persons
List Associated Persons
Returns a paginated list of associated persons on the account
GET
/
va
/
v1
/
customers
/
{customer_id}
/
accounts
/
{account_id}
/
associated-persons
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/associated-persons?page=1&size=10" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"object": "associated_person",
"id": "aap_8rty2c1x7k2m9p4q1w8e5r3t",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"role": "ultimate_beneficial_owner",
"is_signer": true,
"first_name": "Jane",
"middle_name": null,
"last_name": "Roe",
"email": "jane@acme.example",
"date_of_birth": "1985-02-20",
"country_code": "DE",
"nationality": "DE",
"ownership_percentage": "55.00",
"residential_address": {
"address_line": "2 Park Ave",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"verification_status": "under_review",
"rejection_reasons": [],
"created": "2026-05-30T12:00:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}
Returns a paginated list of associated persons on the account.
Path Parameters
string
required
Id of the Platform customer.
string
required
Id of the parent account.
Query Parameters
int
Page number, ≥ 1. Defaults to 1.
int
Items per page, 1–100. Defaults to 10.
Response
Returns200 with a paginated list of associated-person objects.
array
The associated-person objects on this page.
Show child attributes
Show child attributes
string
Always
"associated_person".string
Id of the associated person (e.g.
aap_…).string
Id of the parent account.
enum
One of
ultimate_beneficial_owner, director, control_person, or account_holder. account_holder appears on individual accounts only and is reserved — it cannot be created or edited through these endpoints.boolean
Whether this person is an authorized signer for the entity.
string
Given name.
string | null
Middle name, if any.
string
Family name.
email
Contact email address of the person.
date
Date of birth, ISO 8601 (
YYYY-MM-DD).string
Country of residence, ISO 3166-1 alpha-2.
string
Nationality, ISO 3166-1 alpha-2.
decimal | null
Ownership stake, if any.
Address
Residential address of the person (
address_line, city, region, postal_code, country).enum
One of
under_review, approved, rejected.array
List of
{ reason, developer_reason } objects. Defaults to [].string
ISO 8601 timestamp when created.
string | null
ISO 8601 timestamp when last updated.
string
Id of the API key that created the person.
string | null
Id of the API key that last updated the person.
int
Current page number.
int
Items per page.
int
Total number of items.
int
Total number of pages.
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/associated-persons?page=1&size=10" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"object": "associated_person",
"id": "aap_8rty2c1x7k2m9p4q1w8e5r3t",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"role": "ultimate_beneficial_owner",
"is_signer": true,
"first_name": "Jane",
"middle_name": null,
"last_name": "Roe",
"email": "jane@acme.example",
"date_of_birth": "1985-02-20",
"country_code": "DE",
"nationality": "DE",
"ownership_percentage": "55.00",
"residential_address": {
"address_line": "2 Park Ave",
"city": "Berlin",
"region": "BE",
"postal_code": "10117",
"country": "DE"
},
"verification_status": "under_review",
"rejection_reasons": [],
"created": "2026-05-30T12:00:00Z",
"updated": null,
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": null
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}